Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.response
Class CollectionResponseWithCallbackCorrelator

    java.lang.Object
      org.mule.routing.CollectionCorrelatorCallback
          org.mule.routing.response.CollectionResponseWithCallbackCorrelator

All Implemented Interfaces:
  EventCorrelatorCallback

    public class CollectionResponseWithCallbackCorrelator

extends CollectionCorrelatorCallback

A Correlator that correlates messages based on Mule correlation settings. This callback allows the user to set a callback method on the service component that recieves the message. Any changes made in the callback method will be sent back to the client that initiated the request.

Field Summary
`protected String` | `callback`

Fields inherited from class org.mule.routing.CollectionCorrelatorCallback
`logger, muleContext`

Constructor Summary
`CollectionResponseWithCallbackCorrelator(String callbackMethod, MuleContext muleContext)`

Method Summary
`MuleMessage` | `aggregateEvents(EventGroup events)` The `SingleResponseRouter` will always return the first event of an event group.

Methods inherited from class org.mule.routing.CollectionCorrelatorCallback
`createEventGroup, shouldAggregateEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### callback

    protected String callback

Constructor Detail

### CollectionResponseWithCallbackCorrelator

    public CollectionResponseWithCallbackCorrelator(String callbackMethod,
                                                    MuleContext muleContext)

Method Detail

### aggregateEvents

    public MuleMessage aggregateEvents(EventGroup events)
                                throws AggregationException

  The `SingleResponseRouter` will always return the first event of an event group.

  Specified by:
    `aggregateEvents` in interface `EventCorrelatorCallback`
  Overrides:
    `aggregateEvents` in class `CollectionCorrelatorCallback`
  Parameters:
    `events` - the event group for this request
  Returns:
    an aggregated message
  Throws:
    `AggregationException` - if the aggregation fails. In this scenario the whole event group is removed and passed to the exception handler for this componenet.
  See Also:
    `AbstractResponseAggregator#aggregateEvents(org.mule.routing.inbound.EventGroup)}`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.